OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_IntegerArray_1 Class Reference

`#include <PDataStd_IntegerArray_1.hxx>`

Inheritance diagram for PDataStd_IntegerArray_1:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_IntegerArray_1 ()
Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Integer Value)
Standard_EXPORT Standard_Integer | Value (const Standard_Integer Index) const
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
Standard_EXPORT void | SetDelta (const Standard_Boolean delta)
Standard_EXPORT Standard_Boolean | GetDelta () const
| PDataStd_IntegerArray_1 (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfInteger) _CSFDB_GetPDataStd_IntegerArray_1myValue() const
void | _CSFDB_SetPDataStd_IntegerArray_1myValue (const Handle(PColStd_HArray1OfInteger)&p)
Standard_Boolean | _CSFDB_GetPDataStd_IntegerArray_1myDelta () const
void | _CSFDB_SetPDataStd_IntegerArray_1myDelta (const Standard_Boolean p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PColStd_HArray1OfInteger | myValue
Standard_Boolean | myDelta

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_IntegerArray_1::PDataStd_IntegerArray_1 | ( |  | ) |

PDataStd_IntegerArray_1::PDataStd_IntegerArray_1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Boolean PDataStd_IntegerArray_1::_CSFDB_GetPDataStd_IntegerArray_1myDelta | ( |  | ) | const`[inline]`

void PDataStd_IntegerArray_1::_CSFDB_SetPDataStd_IntegerArray_1myDelta | ( | const Standard_Boolean | p | ) | `[inline]`

void PDataStd_IntegerArray_1::_CSFDB_SetPDataStd_IntegerArray_1myValue | ( | const Handle(PColStd_HArray1OfInteger)& | p | ) | `[inline]`

Standard_EXPORT Standard_Boolean PDataStd_IntegerArray_1::GetDelta | ( |  | ) | const

Standard_EXPORT const PDataStd_IntegerArray_1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_IntegerArray_1::Handle | ( | PColStd_HArray1OfInteger |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_IntegerArray_1::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT Standard_Integer PDataStd_IntegerArray_1::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_IntegerArray_1::SetDelta | ( | const Standard_Boolean | delta | ) |

Standard_EXPORT void PDataStd_IntegerArray_1::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer | Value
| ) |

Standard_EXPORT Standard_Integer PDataStd_IntegerArray_1::Upper | ( |  | ) | const

Standard_EXPORT Standard_Integer PDataStd_IntegerArray_1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean PDataStd_IntegerArray_1::myDelta`[private]`

Handle_PColStd_HArray1OfInteger PDataStd_IntegerArray_1::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_IntegerArray_1.hxx